org.apache.sling.commons.contentdetection

## Interface FileNameExtractor

All Known Implementing Classes:
  FileNameExtractorImpl

    public interface FileNameExtractor

The `FileNameExtractor` interface provides an API for extracting a files name from the provided `rawName`.

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `extract(String rawName)`

### Method Detail

#### extract

    String extract(String rawName)

Parameters:
  `rawName` - of the file which may be a file's path or url
Returns:
  the extracted file name